package com.fastbee.waterele.mapper;

import java.util.List;
import com.fastbee.waterele.domain.MaCardinfo;

/**
 * 卡记录Mapper接口
 *
 * @author kerwincui
 * @date 2024-08-12
 */
public interface MaCardinfoMapper
{
    /**
     * 查询卡记录
     *
     * @param id 卡记录主键
     * @return 卡记录
     */
    public MaCardinfo selectMaCardinfoById(Long id);

    /**
     * 查询卡记录列表
     *
     * @param maCardinfo 卡记录
     * @return 卡记录集合
     */
    public List<MaCardinfo> selectMaCardinfoList(MaCardinfo maCardinfo);

    /**
     * 新增卡记录
     *
     * @param maCardinfo 卡记录
     * @return 结果
     */
    public int insertMaCardinfo(MaCardinfo maCardinfo);

    /**
     * 修改卡记录
     *
     * @param maCardinfo 卡记录
     * @return 结果
     */
    public int updateMaCardinfo(MaCardinfo maCardinfo);

    /**
     * 删除卡记录
     *
     * @param id 卡记录主键
     * @return 结果
     */
    public int deleteMaCardinfoById(Long id);

    /**
     * 批量删除卡记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMaCardinfoByIds(Long[] ids);
}
